Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5760 - /etc/sysconfig/network-scripts/ifup-alias prints horrible messages if you compile a kernel without ip aliasing support
Summary: /etc/sysconfig/network-scripts/ifup-alias prints horrible messages if you com...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-09 07:59 UTC by Hunter, Sean
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-10 04:28:51 UTC


Attachments (Terms of Use)

Description Hunter, Sean 1999-10-09 07:59:13 UTC
As above.  This patch fixes it:

--- /tmp/ifup-aliases	Sat Oct  9 08:52:10 1999
+++ ifup-aliases	Sat Aug 28 18:15:38 1999
@@ -1,5 +1,9 @@
 #!/bin/sh

+if [ ! -f /proc/sys/net/core/net_alias_max ]; then
+    exit 0
+fi

 # adds aliases of device $1

 if [ "$1" = "" ]; then

Comment 1 Bill Nottingham 1999-10-10 04:28:59 UTC
The messages are because linuxconf's alias detection is
fairly broken; it's worked around by commenting out the linuxconf
specific portions. This is what's done in 6.1.

However, the workaround you suggest is probably a good idea - we'll look at that for a future initscripts release.


Note You need to log in before you can comment on or make changes to this bug.